import 'package:hub/shared/utils/storage_util.dart';

import '/flutter_flow/flutter_flow_util.dart';
import 'local_profile_component_widget.dart' show LocalProfileComponentWidget;
import 'package:flutter/material.dart';

///

class LocalProfileComponentModel
    extends FlutterFlowModel<LocalProfileComponentWidget> {
  String cliName = '';
  String cliUUID = '';
  VoidCallback? setStateCallback;

  @override
  void initState(BuildContext context) {
    getData();
  }

  Future<void> getData() async {
    cliName = StorageUtil().cliName;
    cliUUID = StorageUtil().cliUUID;
    setStateCallback?.call();
  }

  @override
  void dispose() {}
}
